Skocz do zawartości
thof

E-deklaracje - Mini How-to

Rekomendowane odpowiedzi

haha Panie Szanowyny... właśnie chciałem zwrócić uwagę ze może jakiś WikiBoss by to zmienił w tutorialu ;P

Nie ma nic lepszego dla distro jak krótki tutorial :D

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach
[...] może jakiś WikiBoss [...]
A nie fajniej samemu zostać "WikiBossem"? Sprawdziłeś, wiesz, że działa - popraw na wiki.

 

Nie rozumiem tej postawy. Kolejny raz już ktoś wzywa na forum do poprawienia czegoś na wiki zamiast samemu się zalogować, przeedytować, zapisać i zyskać wdzięczność innych użytkowników. To trwa chwilę i nie jest trudne.

 

 

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

haha Panie Szanowyny... właśnie chciałem zwrócić uwagę ze może jakiś WikiBoss by to zmienił w tutorialu ;P

Nie ma nic lepszego dla distro jak krótki tutorial :D

 

A, że o Wiki Ci chodziło. Wiesz, nie wiedziałem że o to Ci chodzi, bo HowTo jest pierwszym postem tego topicu [-;

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

OK zainstalowałem z repo i wszystko ładnie śmiga :D Nawet wczytało stare ustawienia :)

Natępnie po one-click na stronie e-deklaracji wszystko się ładnie zainstalowało :D

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Pewnie trzeba bedzie zaktualizowac informacje dotyczace instalacji na wiki. Na razie nie bede przesiadal sie na f14 i wydaje mi sie, ze program zaktualizuje sie automatycznie (chociaz oczekuje bledów z prawami dostepu), wiec jak ktos bedzie stawial aplikacje na f14 to moze poprawic od razu wiki, albo napisac tutaj.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Zaktualizowałem stronę http://wiki.fedora.pl/wiki/Edeklaracje (tak, można użyć repo, ale ja nie użyłem :) ), ale okazuje się, że instalator aplikacji eDeklaracje jest spieprzony i nie można jej zainstalować... To jest po prostu masakra, że biorą za to pewnie kosmiczną kasę i takiego bubla wypuszczają (innym problemem jest to, że bardzo często nie widzi adobe readera i trzeba co chwilę restartować program).

Teraz taki mały workaround, który udało się zastosować na Archu (na Fedorze będzie podobnie):

1. Trzeba ściągnąć http://airdownload.adobe.com/air/lin/download/latest/AdobeAIRSDK.tbz2 i rozpakować np. do ~/adobeair

2. Potem rozpakować e-DeklaracjeDesktop.air dowolnym programem do np. ~/edeklaracje

3. Na końcu odpalić (w moim przypadku to będzie):

~/adobeair/bin/adl -nodebug ~/edeklaracje/META-INF/AIR/application.xml ~/edeklaracje

Nie wiem czy automatycznie zaimportuje dane z poprzedniej wersji, jeśli nie to trzeba pokombinować z przeniesieniem ich. Podejrzewam, że znajdują się w folderze /opt/EDeklaracje/.

 

Tu jeszcze mały Adobe Air wrapper, kiedy binarki znajdują się w /opt/adobe-air-sdk/bin/:

!/bin/bash
# Simple Adobe Air SDK wrapper script to use it as a simple AIR application launcher
# By Spider.007 / Sjon

if [[ -z "$1" ]]
then
       echo "Please supply an .air application as first argument"
       exit 1
fi

tmpdir=`mktemp -d /tmp/adobeair.XXXXXXXXXX`

echo "adobe-air: Extracting application to directory: $tmpdir"
mkdir -p $tmpdir
unzip -q $1 -d $tmpdir || exit 1

echo "adobe-air: Attempting to start application"
/opt/adobe-air-sdk/bin/adl -nodebug $tmpdir/META-INF/AIR/application.xml $tmpdir

echo "adobe-air: Cleaning up temporary directory"
rm -Rf $tmpdir && echo "adobe-air: Done"

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Witam

Mam problem z e-Deklaracjami.

Instalacja zgodnie z podana wyzej procedura dziala bez problemu.

Program uruchamia sie, wczytuja sie zapisane rok wczesniej profile i informacje o wyslanych juz dokumentach.

 

Próba otwarcia zapisanych rok wczesniej deklaracji wywala program.

Próba utworzenia nowej deklaracji skutkuje tym samym.

 

Po uruchomieniu programu z konsolki mam nastepujace komunikaty:

execvp: Nie ma takiego pliku ani katalogu
�Application crashed with an unhandled SIGSEGV
Crashlog has been dumped in /tmp/airCrashLogs/0314_0954_2S5CKh

 

O co moze chodzic?

 

Instalacja Adobe Acrobat Readera z repozytorium Adobe rozwiazala problem

Edytowane przez TomaszBres

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Jesli chodzi o instalacje to wszystko u mnie na Fedorze (nie uzywam Arch'a) zadzialalo ladnie. Repozytorium adobe z Reader + Air i ze strony MS eDeklaracje.

Przy próbie otworzenia starych dokumentów za zeszly rok mamy w 'Robocze' jedna kopie a w 'Wyslane - przyjete' dokument wyslany i link to UPO. Jednak podczas otwierania pliku z 'Roboczych' wszystko idzie dobrze. Gdy otwieram wersje z 'wyslane - przyjete' równiez jest ok ale czasem w konsoli dostaje:

/opt/e-Deklaracje/bin/e-Deklaracje 

(e-Deklaracje:15414): Gtk-CRITICAL **: IA__gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

Najgorsze jest to, ze niestety klikniecie w link do UPO sprawia, ze dokument otwiera sie w nieskonczonosc.

@TomaszBres

Mozesz otworzyc UPO z poziomu eDeklaracji?

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Jesli chodzi o instalacje to wszystko u mnie na Fedorze (nie uzywam Arch'a) zadzialalo ladnie.

To znaczy, ze poprawili, bo ja to poczatkowo instalowalem na F14 rodziców.

 

Mozesz otworzyc UPO z poziomu eDeklaracji?

Nie da sie. Pisalem do nich, bo tez potrzebowalem i dostalem taka odpowiedz (najlepsze jest to, ze na wersji 2.x.x wszystko dzialalo):

Witam,

 

Pracujemy nad rozwiazaniem problemu. Na chwile obecna moze Pan zapisac numer referencyjny zlozonej deklaracji i sprawdzic status oraz pobrac UPO za pomoca samodzielnego formularza, który dostepny jest w zakladce Formularze strony www.e-deklaracje.gov.pl . Formularz UPO bedzie dzialal równiez pod Linuxem.

 

Przepraszamy za problemy.

 

Pozdrawiam

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

No tak na poprzedniej wersji 2.x.x wszystko dzialalo poprawnie jesli chodzi o UPO. Ale skoro znaja problem to powinni sie z nim uporac jak najszybciej bo to przeciez nie jest jakis duzy problem skoro normalne formularze PIT sie otwieraja.

Te pliki sa w

~/.appdata/e-Deklaracje(...)/Local Store/forms

ale niestety acrobat tego pliku UPO nie moze bezposrednio rólniez wypelnic. Otwiera sie tylko pusty formularz.

A jako ich pracodawca ciekawy jestem jak u nich z wydajnoscia. Dawno dostales tego maila ? ;)

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Wysłałem 9 lutego, a 18 lutego dostałem odpowiedź, czyli nie spieszyli się specjalnie :) Ale i tak zaskoczyło mnie to, że nie odpisali, że u nich działa i pewnie problem jest z moim systemem.

U mnie wypełnione pity otwierają się rzadko.

W ogóle IMO to poroniony pomysł pisać taką aplikację z wykorzystaniem adobe air i readera, ale przetargi informatyczne w naszym kraju nigdy nie były uczciwe, więc nie ma co się dziwić, że działa jak działa.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Po najnowszym updacie aplikacji eDeklaracje zarówno UPO jak i PIT otwieraja sie juz poprawnie.

Oczywiscie bylo wiele otwartych alternatyw ale wplyw tutaj pewnie miala marka Adobe.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Nie dramatyzuj...

We will no longer be releasing our own versions of Adobe AIR and the AIR SDK for desktop Linux, but expect that one or more of our partners will do so.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

I bardzo dobrze. Nie wiem po co nam ta gówniana technologia na linuksie. A ludzie z Ministerstwa finansów też mają siano w głowie pisząc za państwowe pieniądze coś całkowicie zależnego od zamkniętej platformy. Teraz niech ponoszą straty i przepisują na Javę czy cokolwiek. Chociaż wydaje mi się, że wersja linuksowa przestanie być rozwijana, a będzie tylko utrzymywana.

IMO nie będzie kolejnych wersji Adobe AIR na linuksa i ja się z tego cieszę. Na to wygląda, że z iplą też możemy się żegnać.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Jeśli chcesz dodać odpowiedź, zaloguj się lub zarejestruj nowe konto

Jedynie zarejestrowani użytkownicy mogą komentować zawartość tej strony.

Zarejestruj nowe konto

Załóż nowe konto. To bardzo proste!

Zarejestruj się

Zaloguj się

Posiadasz już konto? Zaloguj się poniżej.

Zaloguj się

×